curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/templates/t1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetTemplateRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.templates.get_template(
request=GetTemplateRequest(
template_id="t1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c"
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetTemplateRequest
async def get_template():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.templates.get_template_async(
request=GetTemplateRequest(
template_id="t1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c"
)
)
print(response)
asyncio.run(get_template())
{
"id": "t1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c",
"name": "Basic ETL",
"description": "A simple extract, transform, and load workflow template.",
"type": "etl",
"created_at": "2026-01-01T00:00:00Z",
"tags": ["etl", "basic"],
"is_custom": false,
"dag": {
"nodes": [
{
"id": "n1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c",
"node_type": "partition",
"node_subtype": "auto",
"config": {}
}
]
}
}
Template
Get template
Retrieve detailed information and DAG for a specific template.
GET
/
api
/
v1
/
templates
/
{template_id}
curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/templates/t1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetTemplateRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.templates.get_template(
request=GetTemplateRequest(
template_id="t1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c"
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetTemplateRequest
async def get_template():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.templates.get_template_async(
request=GetTemplateRequest(
template_id="t1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c"
)
)
print(response)
asyncio.run(get_template())
{
"id": "t1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c",
"name": "Basic ETL",
"description": "A simple extract, transform, and load workflow template.",
"type": "etl",
"created_at": "2026-01-01T00:00:00Z",
"tags": ["etl", "basic"],
"is_custom": false,
"dag": {
"nodes": [
{
"id": "n1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c",
"node_type": "partition",
"node_subtype": "auto",
"config": {}
}
]
}
}
Path parameters
The unique identifier of the template.
Response
Unique identifier for the template.
Template name.
Template type category.
ISO 8601 timestamp when the template was created.
Whether this is a user-created template (
true) or a platform-provided template (false).Template description.
Classification labels for discovery.
Full DAG configuration for the template, including node definitions and processing instructions.For more information, see Workflow Nodes.
curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/templates/t1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetTemplateRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.templates.get_template(
request=GetTemplateRequest(
template_id="t1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c"
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetTemplateRequest
async def get_template():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.templates.get_template_async(
request=GetTemplateRequest(
template_id="t1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c"
)
)
print(response)
asyncio.run(get_template())
{
"id": "t1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c",
"name": "Basic ETL",
"description": "A simple extract, transform, and load workflow template.",
"type": "etl",
"created_at": "2026-01-01T00:00:00Z",
"tags": ["etl", "basic"],
"is_custom": false,
"dag": {
"nodes": [
{
"id": "n1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c",
"node_type": "partition",
"node_subtype": "auto",
"config": {}
}
]
}
}
Was this page helpful?
⌘I

